Блог пользователя itz_pabloo

Автор itz_pabloo, история, 4 месяца назад, По-русски

Привет, Codeforces!

В Jul/14/2026 17:35 (Moscow time) начнётся Codeforces Round 1109 (Div. 3) — очередной Codeforces раунд для третьего дивизиона. В этом раунде будет 7 задач, которые подобраны по сложности так, чтобы составить интересное соревнование для участников с рейтингами до 1600. Однако все желающие, чей рейтинг 1600 и выше могут зарегистрироваться на раунд вне конкурса.

Раунд пройдет по правилам образовательных раундов. Таким образом, во время раунда задачи будут тестироваться на предварительных тестах, а после раунда будет 12-ти часовая фаза открытых взломов, после её завершения все успешные попытки будут перетестированы на успешных взломах. Мы постарались сделать приличные тесты — так же как и вы, мы будем расстроены, если у многих будут падать решения после окончания контеста.

Вам будет предложено 7 задач и 2 часа 15 минут на их решение.

Штраф за неверную попытку в этом раунде будет равняться 10 минутам.

Напоминаем, что в таблицу официальных результатов попадут только достоверные участники третьего дивизиона. Как написано по ссылке — это вынужденная мера для борьбы с неспортивным поведением. Для квалификации в качестве достоверного участника третьего дивизиона надо:

  • принять участие не менее чем в пяти рейтинговых раундах (и решить в каждом из них хотя бы одну задачу)
  • не иметь в рейтинге точку 1900 или выше.

Независимо от того являетесь вы достоверными участниками третьего дивизиона или нет, если ваш рейтинг менее 1600, то раунд для вас будет рейтинговым.

Задачи были придуманы и подготовлены itz_pabloo.

Также большое спасибо:

  1. MikeMirzayanov за системы Polygon и Codeforces.

  2. Vladosiya за самую лучшую координацию раунда.

  3. Friendiks и Nickir за помощь в подготовке задач.

  4. k1r1t0, lewc, FairyWinx, zwezdinv за красное тестирование раунда.

  5. Sokol080808, cry, AI-qv4rk, KotlechkovEgor, Fakewave за жёлтое тестирование раунда.

  6. SapeginIgor, dvb1r, VitaliiV, Gutark, feblokas, _liravel_, kaferius_cf за фиолетовое тестирование раунда.

  7. Maria_Chudinova, Yassia, Wileyne, Algolagon, veliak, eyfxrby, sanya37y, opa, Neckt00 за синее тестирование раунда.

  8. misha.arkhipov, s28b_shagabutdinov, Sava_is, nikk128, k_Teleport за бирюзовое тестирование раунда.

  9. sovenok1, HelloFromMars за зеленое тестирование раунда.

  10. mlovbnee за серое тестирование раунда.

Всем удачи!

UPD: Разбор опубликован!

  • Проголосовать: нравится
  • +222
  • Проголосовать: не нравится

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

this is the second div3 I've tested, and it's perfect

  • »
    »
    4 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    for Q3 approach is difference of index+1 and number on index should be divisible by x , y , gcd(x,y) if not divisible by any one of them then return NO else return YES is this correct approach

  • »
    »
    4 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    can anyone please share there approach for question number 4

    • »
      »
      »
      4 месяца назад, скрыть # ^ |
       
      Проголосовать: нравится +2 Проголосовать: не нравится

      The key observation is to think about the final sign of each element. Traverse from right to left of the array and if that element is present in the second array, we need to check if we want to continue with the sign of previous element or not (if that element is present in second array then we can change its sign without effecting the (i+1)th element right ). Using a dp for that purpose gives O(n) solution.

      This is my first post, I am sorry if explanation is not up to the mark :(

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

went from being called a purple tester to now a blue tester :( round is great tho :3

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится
»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Best of luck to all participants !? Hope that the contest will be very interesting!!

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

i just realized i have to sell 1108 to participate officially in this contest :<

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Its my first time participating in any contest

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

what are the rating points for the contest?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Five Hundred Contests.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

hey long time since the div 4 has been dropped, when is the next one happening?

»
4 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +3 Проголосовать: не нравится

Div. 3 rounds are always a great opportunity to learn. Thanks for organizing this one, and good luck to everyone participating

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Div. 3 rounds are always a great opportunity to learn. Thanks for organizing this one, and good luck to everyone participating!

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Now I'm green and there's no green testing :)

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can anyone tell me what is this tester and setter thing.....I am new to cf so :)

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Thanks for the contest.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

О, еще один контест который сделает меня на шаг ближе к суициду!

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

»
4 месяца назад, скрыть # |
← Rev. 4  
Проголосовать: нравится 0 Проголосовать: не нравится

Guys, I came here to bless y'all with a meme... but apparently I'm too boomer to figure out how to post a picture.

Anyway, yk what? It's been 1 year and 9 months since I sold my soul to Codeforces.

For anyone wondering what the meme was, here's the image:

https://cdn.phototourl.com/free/2026-07-13-59de4156-eb8f-4c1a-908e-d172af317e59.jpg

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

First contest!

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

First contest in which I am going to take part in !

Excited :)

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

As an sc3developer, can’t wait to farm rating on this round, and also bees, because there’s so many bees

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Is that mean that all problem will be under or equal 1600 ? (please ans)

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

please suggest me , how i can develop my cp skill . which which algorithm should i know?

  • »
    »
    4 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    It's not about what algorithm you should learn, it's about can you use the things you learened effectively. A CM once told me that two pointers, binary search and DP are the only thing he needs to reach purple. I still don't know how to reach CM tho :sob:

    • »
      »
      »
      4 месяца назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      Hello sir thanks for reply!

      Would you like to tell me how i can master the dp? I am efeciently working on my cp skill since 6 months. My first target is to become Specialist . Help me please! How many problem should i practice or is there any way to increase my thinking ability ?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +14 Проголосовать: не нравится

.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Автокомментарий: текст был обновлен пользователем itz_pabloo (предыдущая версия, новая версия, сравнить).

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Auto comment: topic has been updated by itz_pabloo (previous revision, new revision, compare).

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +23 Проголосовать: не нравится

comedy

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Without killer maths/Observation :(

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +15 Проголосовать: не нравится

thx for the good round

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +15 Проголосовать: не нравится

So grateful to Codeforces Round 1109 (Div. 3) for this round! It was pure joy from start to finish that I really couldn't have asked for a better experience!

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится -6 Проголосовать: не нравится

This round is more like a Div4 for me

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +15 Проголосовать: не нравится

Great problems !

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +18 Проголосовать: не нравится

one of the best div3 of this year!

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

How to solve $$$G$$$?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится -7 Проголосовать: не нравится

The statement of F wasn't accurate.

No definition of a leaf, which matters because here the root could be a leaf.

Thank you for answering my questions. However, I think you should've made the problem statement more clear.

When I asked the setters, if the root of degree $$$1$$$ is considered a leaf, I received "Yes".

But then for the question if the root for a tree $$$1-2, 2-3, 2-4, 2-5$$$ is a leaf, I received that root is only a leaf if $$$n = 1$$$. How can this be inferred from the statement?

Except the inaccurate statement of F other problems were decent.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

can someone help with G? i don't really know what's wrong!!!!! https://codeforces.me/contest/2244/submission/382686697

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

У тебя не очень хорошо получается составлять задачи. Может тебе стоит попробовать заняться конькобежным спортом?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

actually i am little bit dont understand TASK B

If i have 1 4 2 2, so why i cannot make 1 2 4 It will be anyway sorted, without any errors. I dont understand logic of this task

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +10 Проголосовать: не нравится

I am surprised that DSU is such a rare solution to Problem C and is not even considered as a tag for the same. I found it most intuitive and this was also similar to one of LeetCode problems.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I am oficially the dumbest person ever. I used int for the sum in B and D and it caused overflow and it didnt work. Guess you learn something every day.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

We reach expert in this... MY LEEKS COLORS ARE GONNA CHANGE

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

5300+ people solved Problem E. Looks like I'm the only dumb one.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

One of the best div. 3 of the year, all problems were so much fun!

I hope we can get more rounds like this

»
4 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +6 Проголосовать: не нравится

bro problem a and b felt like reading comprehension rather than problem solving

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

thank you for a good round

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

In conclusion , bezout helped me.

»
4 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +7 Проголосовать: не нравится

Nice distribution of attempts over time, Assmaamr! Not cheater at all.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +13 Проголосовать: не нравится

was it only me or was A extremely hard to understand?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Why did I misread E as asking whether it was possible to make the entire array beautiful by choosing subsegments only within ([l,r])? My solution even passed all the samples. This is so painful.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Loved today's contest! The problem set was really interesting and fun to solve. Thanks for the great round!

»
4 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

hi, my account is new and this is my first cf contest, i'm currently unrated and i participated in cf round 1109 div.3 but could not solve even the A. Iskander and Drawings but i submitted a solution and it failed. will i get rated or i have to participate in other contests and give correct solution then only i'll get rated?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

guys does anyone know when we'll receive our ratings after each contest?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

У тебя не очень хорошо получается составлять задачи. Может тебе стоит попробовать заняться конькобежным спортом?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can somebody pinpoint me why this D solution failed at systets?: https://codeforces.me/contest/2244/submission/382612368

i tired of losing my rating

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can anybody tell when my rating will be updated I am a new contestant and this was my first contest. Neither my name shows up in final standings in the leaderboard (as it shows only trusted participant). Will i be allotted a rating or not on the basis of this contest.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Why its unrated??????

»
4 месяца назад, скрыть # |
← Rev. 3  
Проголосовать: нравится +4 Проголосовать: не нравится

(The issue has been fixed by setter && coordinator) The hack #1178111 by Carnade for problem D violates the problems constraint. The problem states that every element of b is distinct.

Yet the generator they used to generate testcase fills the array B with value 131293.

The generator in question:

n=200000
#print (n,0,10**9)
mask = (1<<17) - 1
fill = int((1<<15)*1.3+1)
arr = [mask+2]*2
x = 6
for i in range(1,fill):
    arr.append(x)
    x = x * 5 + 1
    x = x & mask
arr.extend([131293]*(n-len(arr)))
arr.sort()
#max_value = 2*10**5
N = n
print(1)
print(N,N)
print(*arr)
print(*arr)

itz_pabloo could you please verify this??

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I registered to the contest as rated, but after system testing it is showing this as an unrated contest for me. I just started the contest late, but during registration i did register as rated.

»
4 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +1 Проголосовать: не нравится

Hi itz_pabloo, I think there is a issue in Test Case 8 for Problem D. Duplicate b[i] are used which violate problem description. Check submission: 382633028

»
4 месяца назад, скрыть # |
← Rev. 4  
Проголосовать: нравится 0 Проголосовать: не нравится

for 2nd question, this testcase: 4 46342 1000000000 73695632 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 ....

is giving yes, i checked with:

#include<bits/stdc++.h>
using namespace std;
int main()
{
    vector<long long>v(46342,1);
    v[0]=1000000000;
    v[1]=73695632;
    long long sum=0;
    for(int i=0;i<46342;i++)
    {
        sum+=v[i];
        if(sum<(i+1)*(i+2)/2) 
        {
            cout<<"NO"<<" ";
            goto here;
        }
    }
    cout<<"YES";
    here:
    return 0;
}

why it is giving answer as NO , and above code is giving yes? can anyone tell?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится -15 Проголосовать: не нравится

itz_pabloo 2244D - Yaroslav and Productivity In D problem, My Code has been given TLE for test 7 even though my algorithm is nlogn which fits. Also Test 7 which seems to have all values of a and b as same. Which is not possible coz its given in the question that b has different elements. 382675252

Test 7 Input 1 200000 200000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -1000000000 -...

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится -15 Проголосовать: не нравится

Hello,

I received a plagiarism warning for this round and noticed that my submissions were marked as skipped. I would like to request a review of my case.

I solved the problems locally in VS Code using CPH for testing. I did not view or copy any other contestant's code during the contest. The only reusable coding pattern I used was a generic DFS that returns a struct containing subtree information, which is a programming style I had learned previously in class. The algorithm and implementation were developed by me during the contest.

If it would be helpful, I can provide my local source files, timestamps, or other development history that I have available.

I would appreciate it if you could review my case.

Thank you for your time.

»
4 месяца назад, скрыть # |
← Rev. 3  
Проголосовать: нравится -12 Проголосовать: не нравится

sorted i think now?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Dear Codeforces team and round co-ordinators,

I received an automated system warning which says that my solution for problem 2244D (or Codeforces Round 1109 Div-3 question D) heavily coincided with other submissions. I am writing to clarify that I did not cheat nor did I leak my solution anywhere during the live contest round.

The high structural similarity is a coincidence arising simply due to the simplicity of the problem logic.

To prove the authenticity of my code, here are my details:

  • My Submission ID: 382654646

  • Language used: GNU C++20

  • Key Logic Explanation: — My design approach consists of the following steps: First, I sort the boundary array 'b' to ensure segments can be sliced from array 'a' (in a sequential left to right manner). Then, I maintain a tracking pointer 'last_idx'. As I iterate through the sorted boundaries, I use a sliding-window nested loop to aggregate the segment-wise sum of array 'a' directly from 'last_idx' up to 'current_boundary'. Every time, I take the absolute value of the segment-sum because each segment's sign can be independently flipped depending on whether we take that element from 'b' or not. Finally, I check if any trailing elements remain after the final boundary index and add them all up using a final linear pass.

Every step of my code is a simple chain of thought, and does things in the simplest possible fashion (and hence, similarity with other people's code may arise without seeing each other's code). I would highly appreciate it if a human coordinator or high-rated reviewer could look into my code to verify its authenticity.

Thank you.

Best regards, Arnav_Shandilya

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Здравствуйте. Я хотел бы попросить пересмотреть решение по поводу моего submission. Я не обменивался кодом с другими участниками, не публиковал свое решение и не использовал чужие отправки. Насколько мне известно, утечки моего кода также не было. Если сходство связано с тем, что для этой задачи существует типичная реализация, прошу учесть это. Если требуется какая-либо дополнительная информация с моей стороны, я готов ее предоставить. Спасибо.

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Katt1412 clearly used AI to cheat in div 3. Please check his submissions and do sth

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Dear Codeforces Team,

I am writing this as a clarification against a system-generated allegation on me for problem 2244E based on the claim that my solution "coincides" with others. About that, I would like to say that the so-called alleged coincidence is merely due to the simplicity of the solution for the problem. It is not difficult to see for a person familiar with CP and Codeforces that this problem is significantly lower than the level we expect in our mind for a Div. 3 E. You can also see that many other people are having the same issue for this contest in the comment section and their contest submissions are being changed from "skipped", which indicates a fault of the system which is fine, faults can happen but I request you to please understand my reasoning and please help me out of this.

My Reasoning: My first thought was "is the minimum number of steps required to make the garland beautiful less than or equal to k, or greater than k?" If it is the first case, then it's possible; if not, then it is not possible. Then the next thing I did was finding this minimum number of steps, where I realized that it depends on the current number of clashes. I derived the mathematical relations for that, then did the comparison, and accordingly gave the answer.

1) My submission : 382672226

2) Language used: GNU C++20

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Hey! I am new to CF and don't know much but I gave this contest and then got a message saying that my code was similar to others and my verdicts show skipped. I did not copy the code and its a pretty normal solution for the problem. It may be seen that the code snippets are similar but it doesn't necessarily means it is copied. What can I do in this situation?

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Katt1412 cheater

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Я новичок на (Codeforces), раньше я программировал на других сайтах. Я сам решил задачу (E). Не могли бы вы объяснить, почему я получил предупреждение о схожести за свои ответы? Задача была простой и очевидной.

»
4 месяца назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

Я новичок на Codeforces, раньше программировал на других сайтах. Я сам решил задачу E, не могли бы вы сказать, почему я получил предупреждение за похожие ответы? Вопрос был простым, не могли бы вы его проверить?@itz_pabloo

»
4 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

In Q3 , i thought that , for each given index i, it is connected to two another indexes as i + x and i + y. Now i thought that numbers at these indexes can be interchanged any number of times but their movement will be restricted to these indexes only, now since x and y are different , they can enable some index j , to also reach i + x or i + y, so i thought the problem as disjoint set , i made components by traversing the array and joined(i + x,i + y) , now in sorted permutation, the number and index are equal , so if for any index the array[i] and i are not in same component, the array cannot be sorted

»
3 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

What an easy contest